### Function

# GLib unichar_digit_value

since: 2.0

#### Declaration

    gint
    g_unichar_digit_value (
      gunichar c
    )

#### Description

Determines the numeric value of a character as a decimal digit.

Available since: 2.0

#### Parameters

`c`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `gint`

If `c` is a decimal digit (according to g_unichar_isdigit()), its numeric value. Otherwise, -1.